# Interface LinkRelations<Ref, L>

interface LinkRelations<Ref, L> {
_applies: string[];
_namespaces: string[];
from: L;
in: L[];
inByType: {
[id: string]: L[];
};
ml?: MinilinkCollection<MinilinksGeneratorOptions, L>;
out: L[];
outByType: {
[id: string]: L[];
};
to: L;
type: L;
typed: L[];
value?: any;
}

#### Type Parameters

- Ref extends Id
- L extends Link<Ref>

#### Hierarchy (view full)

- LinkRelations
  - Link

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:34

#####
Index

### Properties

_applies
_namespaces
from
in
inByType
ml?
out
outByType
to
type
typed
value?

##
Properties

### _applies

_applies: string[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:44

### _namespaces

_namespaces: string[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:45

### from

from: L

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:41

### in

in: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:37

### inByType

inByType: {
[id: string]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:38

### `Optional` ml

ml?: MinilinkCollection<MinilinksGeneratorOptions, L>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:46

### out

out: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:39

### outByType

outByType: {
[id: string]: L[];
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:40

### to

to: L

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:42

### type

type: L

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:36

### typed

typed: L[]

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:35

### `Optional` value

value?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:43